package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("rongyun_room")
public class RongyunRoom extends Model<RongyunRoom> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    private String rid;
    private String name;
    private String portrait;
    @TableField("create_dt")
    private Date createDt;
    /**
     * the current display: teacher, assistant, whiteboard, screen
     */
    private String display;
    @TableField("whiteboard_name_index")
    private Integer whiteboardNameIndex;


    public Integer getId() {
        return id;
    }

    public RongyunRoom setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getRid() {
        return rid;
    }

    public RongyunRoom setRid(String rid) {
        this.rid = rid;
        return this;
    }

    public String getName() {
        return name;
    }

    public RongyunRoom setName(String name) {
        this.name = name;
        return this;
    }

    public String getPortrait() {
        return portrait;
    }

    public RongyunRoom setPortrait(String portrait) {
        this.portrait = portrait;
        return this;
    }

    public Date getCreateDt() {
        return createDt;
    }

    public RongyunRoom setCreateDt(Date createDt) {
        this.createDt = createDt;
        return this;
    }

    public String getDisplay() {
        return display;
    }

    public RongyunRoom setDisplay(String display) {
        this.display = display;
        return this;
    }

    public Integer getWhiteboardNameIndex() {
        return whiteboardNameIndex;
    }

    public RongyunRoom setWhiteboardNameIndex(Integer whiteboardNameIndex) {
        this.whiteboardNameIndex = whiteboardNameIndex;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "RongyunRoom{" +
        ", id=" + id +
        ", rid=" + rid +
        ", name=" + name +
        ", portrait=" + portrait +
        ", createDt=" + createDt +
        ", display=" + display +
        ", whiteboardNameIndex=" + whiteboardNameIndex +
        "}";
    }
}
